package com.mortals.xhx.module.yth.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:YthAccept
* date: 2021-9-7 10:49:11
*/
public class YthAcceptQuery extends YthAcceptEntity{
    private static final long serialVersionUID = 1630982951457L;
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长 */
    private List <Long> idList;


    /** 受理标准 */
    private List<String> contentList;
    /** 开始 事项id */
    private Long matteridStart;

    /** 结束 事项id */
    private Long matteridEnd;

    /** 增加 事项id */
    private Long matteridIncrement;

    /** 事项id */
    private List <Long> matteridList;


    /**  */
    private List<String> tidList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 创建用户 */
    private List<String> createUserList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<YthAcceptQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<YthAcceptQuery> andConditionList;


    public YthAcceptQuery(){
    }

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 受理标准
    * @return contentList
    */
    public List<String> getContentList(){
        return this.contentList;
    }

    /**
    * 设置 受理标准
    * @param contentList
    */
    public void setContentList(List<String> contentList){
        this.contentList = contentList;
    }
    /**
    * 获取 开始 事项id
    * @return matteridStart
    */
    public Long getMatteridStart(){
    return this.matteridStart;
    }

    /**
    * 设置 开始 事项id
    * @param matteridStart
    */
    public void setMatteridStart(Long matteridStart){
    this.matteridStart = matteridStart;
    }

    /**
    * 获取 结束 事项id
    * @return matteridEnd
    */
    public Long getMatteridEnd(){
    return this.matteridEnd;
    }

    /**
    * 设置 结束 事项id
    * @param matteridEnd
    */
    public void setMatteridEnd(Long matteridEnd){
    this.matteridEnd = matteridEnd;
    }

    /**
    * 获取 增加 事项id
    * @return matteridIncrement
    */
    public Long getMatteridIncrement(){
    return this.matteridIncrement;
    }

    /**
    * 设置 增加 事项id
    * @param matteridIncrement
    */
    public void setMatteridIncrement(Long matteridIncrement){
    this.matteridIncrement = matteridIncrement;
    }

    /**
    * 获取 事项id
    * @return matteridList
    */
    public List<Long> getMatteridList(){
    return this.matteridList;
    }

    /**
    * 设置 事项id
    * @param matteridList
    */
    public void setMatteridList(List<Long> matteridList){
        this.matteridList = matteridList;
        }
    /**
    * 获取 
    * @return tidList
    */
    public List<String> getTidList(){
        return this.tidList;
    }

    /**
    * 设置 
    * @param tidList
    */
    public void setTidList(List<String> tidList){
        this.tidList = tidList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 创建用户
    * @return createUserList
    */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
    * 设置 创建用户
    * @param createUserList
    */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }


	/**
    * 设置  主键，自增长
    * @param id
    */
    public YthAcceptQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public YthAcceptQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public YthAcceptQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public YthAcceptQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public YthAcceptQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }
	/**
    * 设置 受理标准
    * @param content
    */
    public YthAcceptQuery content(String content){
        setContent(content);
		return this;
    }


    /**
    * 设置 受理标准
    * @param contentList
    */
    public YthAcceptQuery contentList(List<String> contentList){
        this.contentList = contentList;
		return this;
    }

	/**
    * 设置  事项id
    * @param matterid
    */
    public YthAcceptQuery matterid(Long matterid){
	    setMatterid(matterid);
		return this;
    }
	
	 /**
    * 设置 开始 事项id
    * @param matteridStart
    */
    public YthAcceptQuery matteridStart(Long matteridStart){
		this.matteridStart = matteridStart;
		return this;
    }

    /**
    * 设置 结束 事项id
    * @param matteridEnd
    */
    public YthAcceptQuery matteridEnd(Long matteridEnd){
		this.matteridEnd = matteridEnd;
		return this;
    }

    /**
    * 设置 增加 事项id
    * @param matteridIncrement
    */
    public YthAcceptQuery matteridIncrement(Long matteridIncrement){
		this.matteridIncrement = matteridIncrement;
		return this;
    }

    /**
    * 设置 事项id
    * @param matteridList
    */
    public YthAcceptQuery matteridList(List<Long> matteridList){
        this.matteridList = matteridList;
		return this;
        }
	/**
    * 设置 
    * @param tid
    */
    public YthAcceptQuery tid(String tid){
        setTid(tid);
		return this;
    }


    /**
    * 设置 
    * @param tidList
    */
    public YthAcceptQuery tidList(List<String> tidList){
        this.tidList = tidList;
		return this;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public YthAcceptQuery createTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
		return this;
    }


    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public YthAcceptQuery createTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
		return this;
    }
	/**
    * 设置 创建用户
    * @param createUser
    */
    public YthAcceptQuery createUser(String createUser){
        setCreateUser(createUser);
		return this;
    }


    /**
    * 设置 创建用户
    * @param createUserList
    */
    public YthAcceptQuery createUserList(List<String> createUserList){
        this.createUserList = createUserList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<YthAcceptQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<YthAcceptQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<YthAcceptQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<YthAcceptQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}